Skip to main content

快速安装指南

在你可以使用Django之前,你需要安装它。我们有一个涵盖所有可能性的 完整的安装指南;本指南将指导您完成一个简单,最小的安装,将在您通过介绍时工作。

安装Python

作为一个Python Web框架,Django需要Python。有关详细信息,请参阅 什么Python版本可以与Django一起使用?。 Python包含一个名为 SQLite 的轻量级数据库,因此您不需要再设置数据库。

https://www.python.org/download/ 或使用操作系统的包管理器获取最新版本的Python。

Django上的Jython

如果使用 Jython (Java平台的Python实现),则需要执行几个附加步骤。有关详细信息,请参阅 在Jython上运行Django

您可以通过从shell中键入 python 来验证是否安装了Python;你应该看到类似的东西:

Python 3.4.x
[GCC 4.x] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>

设置数据库

只有当你想使用“大型”数据库引擎(如PostgreSQL,MySQL或Oracle)时,才需要执行此步骤。要安装此类数据库,请咨询 数据库安装信息

删除任何旧版本的Django

如果您要从以前的版本升级Django的安装,则需要使用 请在安装新版本之前卸载旧的Django版本

安装Django

您有三个简单的选项来安装Django:

  • 安装Django 由操作系统分发提供 的版本。对于有分发Django的操作系统的用户来说,这是最快的选择。

  • 安装正式版本。这是大多数用户的最佳方法。

  • 安装最新的开发版本。这个选项是爱好者谁想要最新的和最伟大的功能,不害怕运行全新的代码。您可能会在开发版本中遇到新的错误,但报告它们有助于Django的开发。此外,第三方软件包的发行版与开发版本相比不太可能与最新的稳定版本兼容。

始终参考与您使用的Django版本对应的文档!

如果您执行前两个步骤之一,请注意标记为 新开发版本 的文档的一部分。这个短语标记的功能仅在Django的开发版本中可用,并且它们可能无法在正式版本中使用。

验证

要验证Python可以看到Django,请从shell中键入 python。然后在Python提示符下,尝试导入Django:

>>> import django
>>> print(django.get_version())
1.10

您可能安装了另一个版本的Django。

而已!

就是这样 - 你现在可以 移动到教程